CLOG10(3)

NAME
clog10, clog10f, clog10l - base-10 logarithm of a complex number

SYNOPSIS
#define _GNU_SOURCE
#include <complex.h>

double complex clog10(double complex z);
float complex clog10f(float complex z);
long double complex clog10l(long double complex z);

Link with -lm.

DESCRIPTION
The logarithm is defined as log10(cabs(z))+I*carg(z). Please note that z close to zero will cause an overflow.

CONFORMING TO
The function is a GNU extension. It is reserved for future use in C99.

SEE ALSO
cabs(3), cexp(3), clog(3), clog2(3), complex(7)